### Type parameters

- #### REQ

- #### RESP

### Hierarchy

- MethodDescriptor

## Index

### Constructors

- constructor

### Methods

- createRequest
- createUnaryResponse
- getMethodType
- getName
- getRequestMessageCtor
- getRequestSerializeFn
- getResponseDeserializeFn
- getResponseMessageCtor

## Constructors

### constructor

- new MethodDescriptor<REQ, RESP>(name: string, methodType: string, requestType: new (...args: unknown[]) => REQ, responseType: new (...args: unknown[]) => RESP, requestSerializeFn: any, responseDeserializeFn: any): MethodDescriptor <REQ, RESP>

- - Defined in node_modules/grpc-web/index.d.ts:72

  #### Type parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### name: string

  - ##### methodType: string

  - ##### requestType: new (...args: unknown[]) => REQ

    - - new (...args: unknown[]): REQ

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns REQ

  - ##### responseType: new (...args: unknown[]) => RESP

    - - new (...args: unknown[]): RESP

      - #### Parameters

        - ##### Rest ...args: unknown[]

        #### Returns RESP

  - ##### requestSerializeFn: any

  - ##### responseDeserializeFn: any

  #### Returns MethodDescriptor <REQ, RESP>

## Methods

### createRequest

- createRequest(requestMessage: REQ, metadata?: Metadata, callOptions?: CallOptions ): Request <REQ, RESP>

- - Defined in node_modules/grpc-web/index.d.ts:78

  #### Parameters

  - ##### requestMessage: REQ

  - ##### Optional metadata: Metadata

  - ##### Optional callOptions: CallOptions

  #### Returns Request <REQ, RESP>

### createUnaryResponse

- createUnaryResponse(responseMessage: RESP, metadata?: Metadata, status?: Status ): UnaryResponse <REQ, RESP>

- - Defined in node_modules/grpc-web/index.d.ts:81

  #### Parameters

  - ##### responseMessage: RESP

  - ##### Optional metadata: Metadata

  - ##### Optional status: Status

  #### Returns UnaryResponse <REQ, RESP>

### getMethodType

- getMethodType(): string

- - Defined in node_modules/grpc-web/index.d.ts:85

  #### Returns string

### getName

- getName(): string

- - Defined in node_modules/grpc-web/index.d.ts:84

  #### Returns string

### getRequestMessageCtor

- getRequestMessageCtor(): new (...args: unknown[]) => REQ

- - Defined in node_modules/grpc-web/index.d.ts:86

  #### Returns new (...args: unknown[]) => REQ

  - - new (...args: unknown[]): REQ

    - #### Parameters

      - ##### Rest ...args: unknown[]

      #### Returns REQ

### getRequestSerializeFn

- getRequestSerializeFn(): any

- - Defined in node_modules/grpc-web/index.d.ts:88

  #### Returns any

### getResponseDeserializeFn

- getResponseDeserializeFn(): any

- - Defined in node_modules/grpc-web/index.d.ts:89

  #### Returns any

### getResponseMessageCtor

- getResponseMessageCtor(): new (...args: unknown[]) => RESP

- - Defined in node_modules/grpc-web/index.d.ts:87

  #### Returns new (...args: unknown[]) => RESP

  - - new (...args: unknown[]): RESP

    - #### Parameters

      - ##### Rest ...args: unknown[]

      #### Returns RESP

Generated using TypeDoc